<?php  

$luzukSliderSingleChoice = getFitnessPostsType('slider');
$wp_customize->add_section(
	'slider_section',
	array(
		'title' => __( 'Slider Section', 'Luzuk' ),
        'panel' => 'luzuk_premium_home_panel',
		'priority' =>18
	)
);
$wp_customize->add_setting(
	'slider_section_show_content',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
	)
);
$wp_customize->add_control(
	new luzuk_Switch_Control(
		$wp_customize,
		'slider_section_show_content',
		array(
			'settings'      => 'slider_section_show_content',
			'section'       => 'slider_section',
			'label'         => __( 'Hide Conten Box on Slider', 'Luzuk' ),
			'on_off_label'  => array(
				'on' => __( 'No', 'Luzuk' ),
				'off' => __( 'Yes', 'Luzuk' )
			),
		)
	)
);

$wp_customize->add_setting('slider_section_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
	new luzuk_Info_Text( 
		$wp_customize,
		'slider_section_lbl',
		array(
			'settings'		=> 'slider_section_lbl',
			'section'		=> 'slider_section',
			'label'			=> __( 'Note:', 'Luzuk' ),	
			'description'	=> __( 'The Page featured image works as a banner and the title & content work as a slider caption. You can add this from the Slider menu. <br/> Recommended Image Size: 1500X768', 'Luzuk' ),
		)
	)
);

// backgroundManager($wp_customize, 'sliderbg', 'slider_section', $color='#fff', get_template_directory_uri().'/images/sliderbg.jpg', 'color');

lzCustomLable($wp_customize, 'slider_section_overlayop', 'slider_section', 'Section Image Overlay & Opacity ');


$wp_customize->add_setting(
    'slider_areaOpacity',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0.3', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'slider_areaOpacity',
    array(
        'settings'      => 'slider_areaOpacity',
        'section'       => 'slider_section',
        'type'          => 'text',
        'label'         => __( 'Opacity', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'slider_imgolyClr', 'slider_section', 'Slider Image Overlay Color', '#0C071B');

lzCustomLable($wp_customize, 'luzuk_sliderotherclrs', 'slider_section', 'Slider Color');

addColorPalatOption($wp_customize, 'slider_titleColor', 'slider_section', 'Slider Title Color', '#fff');

addColorPalatOption($wp_customize, 'slider_textColor', 'slider_section', 'Slider Text Color', '#fff');

addColorPalatOption($wp_customize, 'slider_ButtontextColor', 'slider_section', 'Slider Button Text Color', '#242424');

addColorPalatOption($wp_customize, 'slider_ButtontexthvClr', 'slider_section', 'Slider Button Text Hover Color', '#fff');

addColorPalatOption($wp_customize, 'slider_BtnicnClr', 'slider_section', 'Slider Button Icon Color', '#fff');

addColorPalatOption($wp_customize, 'slider_BtnicnbgClr', 'slider_section', 'Slider Button Icon BG Color', '#EC003F');

addColorPalatOption($wp_customize, 'slider_ButtonbgColor', 'slider_section', 'Slider Button Background Color', '#F6F4EC');

addColorPalatOption($wp_customize, 'slider_ButtonbghoverColor', 'slider_section', 'Slider Button Background Hover Color', '#EC003F');


lzCustomLable($wp_customize, 'luzuk_sliderarrowclrs', 'slider_section', 'Slider Arrow Color');

addColorPalatOption($wp_customize, 'slider_arrowClr', 'slider_section', 'Slider Arrow Color', '#000');

addColorPalatOption($wp_customize, 'slider_arrowbgClr', 'slider_section', 'Slider Arrow BG Color', '#fff');

?>